Package Details: toptracker 1.6.2.342-2.1

Git Clone URL: https://aur.archlinux.org/toptracker.git (read-only, click to copy)
Package Base: toptracker
Description: Time tracking software for remote teams and individuals
Upstream URL: https://www.toptal.com/tracker/
Keywords: freelance time toptracker tracker work
Licenses: custom:toptracker
Submitter: FabioLolix
Maintainer: jamezrin
Last Packager: jamezrin
Votes: 4
Popularity: 0.132482
First Submitted: 2017-09-03 23:17
Last Updated: 2020-04-30 16:28

Latest Comments

1 2 Next › Last »

delxdely commented on 2020-05-01 08:52

@jamezrin It's working. Thank you.

jamezrin commented on 2020-04-30 16:33

Please check if it works now, it certainly does for me.

jamezrin commented on 2020-04-30 14:24

@delxdely A week ago it worked fine for me, until I saw your message and tried reproducing it myself and now I can't get it to work anymore. There is a new version (1.6.2) but that one doesn't work either. I have been trying to debug it for a while but I cannot fix it.

I'm pretty sure it's a mismatch between the qt5 libs the binary links to and the ones that are in arch repos (I didn't have the latest qt packages when it worked).

I will update this if I can fix it somehow.

delxdely commented on 2020-04-26 06:16

I am using Manjaro with KDE. The package got installed without any errors, but nothing happens when I run it. I have saved the installation log if that is required.

jamezrin commented on 2020-03-09 22:11

@skat

Yeah, when it's started it waits for something, I tried attaching a debugger and seeing what is wrong but I couldn't figure it out.

I also tried with Fedora and Ubuntu, and as you experienced, the app works perfectly there.

Maybe the issue is some library or something, I don't know, I have to get back at it...

EDIT: libQt5Core is waiting for some condition, I cannot know what that condition is but it seems to be fulfilled if you are running KDE.

If the lib directory is removed the program manages to run some APP code but it aborts saying Cannot mix incompatible Qt library (version 0x50c01) with this library (version 0x50e01)

I'm going to see if I can find what that condition is but I think we might just have to wait for Toptal to update Qt libs or something.

skat commented on 2020-03-09 21:23

@jamezrin

Tested on fresh install of Manjaro 19 -- confirmed that it's a stable issue. But I also noticed, that app is not really being started. Would be great to get some debug info - to understand what's happening.

I also verified that it works on Ubuntu.

I'll email to toptal regarding this issues. Maybe they'll give out pointers or help with this.

jamezrin commented on 2020-03-06 23:47

@skat I was able to reproduce the issue, but I couldn't find its root. I'm going to try under Ubuntu or Fedora (what TopTracker is officially packaged for) and see if it works there.

If it does, I should be able to compare and fix it, otherwise it's up to Toptal to fix it.

skat commented on 2020-03-05 19:48

I'm using Manjaro GNOME (19.0).

I have a back-up machine with older version of Manjaro and toptracker works without any issues there.

not sure where to start debugging even, it launches without any hiccups (no errors or anything), but tray icon is missing.

jamezrin commented on 2020-03-05 19:42

@skat It is working OK for me, which DE are you using? Does the app work?

skat commented on 2020-03-05 19:36

Unfortunately, app doesn't show in the tray for me. No errors presented.

Am I the only one?